<?php
/* Update d'une table quelquonce fonction qui prend en charge la requete sql et retour une inversion des imag on et off
La fonction se charge de creer l'iamge cliquable , et l'appel ajax pour la prendre en charge lors du clik  */
function img_etat_active($tsortie=false, $table='',$key='', $id,$col,$etat='true',$exec=false){

	$cpt=0;
	static $cpt;
	$cpt++;
	/* inverse etat */
	$stp_etat=($etat =='true') ? 'false' : 'true';
	$etap_tmp=$etat;

	 $_Requet_sql="UPDATE %1\$s SET %4\$s = '%2\$s'   WHERE id = '%3\$s' ";
	if ($exec==true) {
		/* Force cas specifique des sous menu en fichier, non inclus dans config_general, mais clef identique au menu principal */
		if (eregi("(include/menu/)",$table))$key='menu_auto';
		 $s=sql ('',$table,$key,sprintf($_Requet_sql,$table,$stp_etat,$id,$col) ,$id);
		 $etap_tmp=$stp_etat;
	}

	$s_etat="<p id=\"retour_ajax_pd_num_".$cpt."\"><a href=\"#\" ";
	$s_etat.= " onclick=\"";
	$s_etat.="{  montre('onload');"
	.sprintf("upload_ajax('%1\$s','%2\$s','%3\$s','%4\$s');",'retour_ajax_pd_num_'.$cpt,"include/inc/img_etat_active.inc","img_etat_active","true,\'".$table."\',\'".$key."\',\'".$id."\',\'".$col."\',\'".$etat."\',true")
	."cache_t('onload','150');"
	.'}';
	$s_etat.="\">";
	$s_etat.= "<img src=\"";
	$s_etat.=($etap_tmp =='true') ? IMG_ON : IMG_OFF;
	$s_etat.="\" alt=\"";
	$s_etat.=($etap_tmp =='true') ? TXT_ON : IMG_OFF;
	$s_etat.="\"/>";
	$s_etat.="</a></p>";

	$cpt++;
	if ($tsortie==false) return $s_etat;
	else print $s_etat;
}
?>